Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158657 - Build Totem's Mozilla plugin
Summary: Build Totem's Mozilla plugin
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-05-24 16:25 UTC by W. Michael Petullo
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-11 22:42:46 UTC


Attachments (Terms of Use)
Build totem's Mozilla plugin (deleted)
2005-05-24 16:29 UTC, W. Michael Petullo
no flags Details | Diff

Description W. Michael Petullo 2005-05-24 16:25:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.6.1

Description of problem:
Totem contains a plugin for mozilla but this is not included in the Fedora package.  It would be nice if this was added to the Fedora Raw Hide package so that it may be tested.

Version-Release number of selected component (if applicable):
totem-1.0.2-1

How reproducible:
Always

Steps to Reproduce:
Notice that the Fedora totem package does not install the Mozilla plugin.

Additional info:

Comment 1 W. Michael Petullo 2005-05-24 16:29:16 UTC
Created attachment 114780 [details]
Build totem's Mozilla plugin

Comment 2 John (J5) Palmieri 2005-05-24 16:36:09 UTC
We are in a deep freeze right now.  Once rawhide opens up again I will look into it.

Comment 3 W. Michael Petullo 2005-07-07 02:06:01 UTC
Any chance in this getting into Fedora Core 5?

Comment 4 Demond James 2005-10-30 19:01:00 UTC
Don't forget about implementing this next time you update the package.


Comment 5 John (J5) Palmieri 2006-01-11 22:42:46 UTC
Should be in test2 in the totem-mozplugin sub package

Comment 6 Christopher Aillon 2006-01-12 05:44:23 UTC
This patch is somewhat fundamentally broken.  It assumes mozilla must be
installed, but that is wrong.  A user should be able to remove mozilla and
install firefox and it should work.  It should require 'webclient' instead. 
Additionally, I think naming the subpackage -mozilla is broken.  The plugin API
should be the NPAPI which I think konqueror and opera also implement.

Comment 7 Bastien Nocera 2006-01-12 09:05:22 UTC
Won't work with either, as it requires Gtk2 (rather, not Gtk1) and XEMBED.

Comment 8 Christopher Aillon 2006-01-12 09:12:25 UTC
Fair enough on the Gtk requirement, but in theory any browser supporting NPAPI
and Gtk2/Xembed will work.  Still, the fact that it is a "mozilla" package is
broken.  When mozilla is removed, it will be more obvious.  Additionally, the
firefox use case is stlil valid.  /usr/lib/mozilla/plugins should be created and
owned by the plugin if it doesn't exist (possibly in a trigger) so that when
e.g. firefox is installed, the plugin will work without having mozilla
installed.  This is what other plugins are expected to do as well.


Note You need to log in before you can comment on or make changes to this bug.